import LineChart from "./charts/lineChart";
import PieChart from "./charts/pieChart";
import HeatmapChart from "./charts/heatmapChart";
import AreaChart from "./charts/areaChart";
import LineScatterChart from "./charts/lineScatterChart";
import LineAreaChart from "./charts/lineAreaChart";
import BarChart from "./charts/barChart";
import ColumnChart from "./charts/columnChart";
import ColumnLineChart from "./charts/columnLineChart";
import BubbleChart from "./charts/bubbleChart";
import ScatterChart from "./charts/scatterChart";
import BulletChart from "./charts/bulletChart";
import NestedPieChart from "./charts/nestedPieChart";
import RadarChart from "./charts/radarChart";
import TreemapChart from "./charts/treemapChart";
import BoxPlotChart from "./charts/boxPlotChart";
import RadialBarChart from "./charts/radialBarChart";
import GaugeChart from "./charts/gaugeChart";
import { LineChartProps, PieChartProps, HeatmapChartProps, AreaChartProps, LineScatterChartProps, LineAreaChartProps, BulletChartProps, NestedPieChartProps, RadarChartProps, RadialBarChartProps, BarChartProps, BoxPlotChartProps, ColumnLineChartProps, BubbleChartProps, TreemapChartProps, ScatterChartProps, ColumnChartProps, GaugeChartProps } from "../types/charts";
export default class Chart {
    static lineChart: (props: LineChartProps) => LineChart;
    static areaChart: (props: AreaChartProps) => AreaChart;
    static barChart: (props: BarChartProps) => BarChart;
    static boxPlotChart: (props: BoxPlotChartProps) => BoxPlotChart;
    static columnChart: (props: ColumnChartProps) => ColumnChart;
    static pieChart: (props: PieChartProps) => PieChart;
    static heatmapChart: (props: HeatmapChartProps) => HeatmapChart;
    static bubbleChart: (props: BubbleChartProps) => BubbleChart;
    static scatterChart: (props: ScatterChartProps) => ScatterChart;
    static bulletChart: (props: BulletChartProps) => BulletChart;
    static radarChart: (props: RadarChartProps) => RadarChart;
    static treemapChart: (props: TreemapChartProps) => TreemapChart;
    static nestedPieChart: (props: NestedPieChartProps) => NestedPieChart;
    static lineAreaChart: (props: LineAreaChartProps) => LineAreaChart;
    static lineScatterChart: (props: LineScatterChartProps) => LineScatterChart;
    static columnLineChart: (props: ColumnLineChartProps) => ColumnLineChart;
    static radialBarChart: (props: RadialBarChartProps) => RadialBarChart;
    static gaugeChart: (props: GaugeChartProps) => GaugeChart;
}
export { LineChart, AreaChart, BarChart, ColumnChart, PieChart, HeatmapChart, BubbleChart, ScatterChart, BulletChart, RadarChart, TreemapChart, NestedPieChart, LineAreaChart, LineScatterChart, ColumnLineChart, BoxPlotChart, RadialBarChart, GaugeChart, };
